%global momorel 1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

%global mozilla_archs %{ix86} ppc s390 s390x x86_64

## stil need fix to build java -> disable java at the moment
##global support_arch %{ix86} alpha ia64 ppc
%global support_arch none

Name: kdebindings
Version: %{kdever}
Release: %{momorel}m
Summary: KDE bindings to non-C++ languages
URL: http://www.kde.org/
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 fca460d7331208ae2fd89f44350a0c25
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 fca460d7331208ae2fd89f44350a0c25
Source1: fakejdk-0.0.1.tar.bz2
Patch3: kdebindings-3.1-lib64ize.patch
Patch4: kdebindings-3.1-ssl-krb5.patch
Patch6: kdebindings-3.1-python2.patch
Patch7: kde-libtool.patch
#Patch8: kdebindings-3.1.4-qt321.patch

License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}
Requires: kdelibs >= %{kdever}
BuildPreReq: zlib-devel
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}
BuildPreReq: arts-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: automake
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: perl
BuildPreReq: python >= 2.2
BuildPreReq: fam-devel
BuildPreReq: coreutils >= 5.0-1m
BuildConflicts: mono

ExcludeArch: sparc ia64

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# /etc/rpm/specopt/kdesdk.specopt and edit it.
%{?!python:       %global         python    0}
%{?!perl:         %global         perl      0}

%description
KDE/DCOP bindings to non-C++ languages

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: kdebindings = %{version}

%description devel
Development files for the KDE bindings.

Install %{name}-devel if you want to develop non-KDE
applications that talk to KDE.

%ifarch %{mozilla_archs}
%package kmozilla
Summary: KDE bindings to mozilla
Group: User Interface/Desktops
Requires: mozilla
Requires: kdebase >= %{version}

%description kmozilla
KDE bindings to mozilla - embed Mozilla in Konqueror
%endif

%package perl
Summary: Perl bindings to DCOP
Group: System Environment/Libraries
Requires: kdelibs >= %{version}, perl >= 5.6.1

%description perl
Perl bindings to the DCOP interprocess communication protocol used by KDE

%package python
Summary: Python bindings to DCOP
Group: Development/Libraries
Requires: kdelibs >= %{version}, python >= 2.2

%description python
Perl bindings to the DCOP interprocess communication protocol used by KDE

%package qtjava
Summary: Java bindings to Qt
Group: System Environment/Libraries
Requires: qt >= %{qtver}, libgcj

%description qtjava
Java bindings to Qt.

%package qtc
Summary: C bindings to Qt
Group: System Environment/Libraries
Requires: qt >= %{qtver}

%description qtc
C bindings to Qt.
Install kdebindings-qtc if you wish to develop Qt applications
in C (rather than C++).

%package kdec
Summary: C bindings to KDE
Group: System Environment/Libraries
Requires: qt >= %{qt_version}
Requires: %{name}-qtc >= 3.0.2

%description kdec
C bindings to KDE.
Install kdebindings-kdec if you wish to develop Qt applications
in C (rather than C++).

%package kdejava
Summary: Java bindings to KDE
Group: Development/Libraries
Requires: kdelibs >= %{version}, libgcj

%description kdejava
Java bindings to KDE

%prep
%setup -q -n %{name}-%{version}
#%patch3 -p1 -b .lib64ize~
%patch4 -p1 -b .ssl-krb5~
%patch6 -p1 -b .python2~
%patch7 -p1 -b .libtool~

perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common 
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common 

# Disable broken stuff and stuff that doesn't work with ancient
# compilers for now.
#for i in qtc kdec qtjava kdejava dcopperl dcoppython kdeobjc qtobjc; do
#	rm -rf $i
#	perl -pi -e "s,$i,,g" Makefile.am configure.in.in
#done

%build
export QTDIR=%{qtdir}
export KDEDIR=%{kdedir}
export PATH="`pwd`/jdk/bin:$PATH"

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

%ifarch %{support_arch}
export CFLAGS="$CFLAGS `mozilla-config --cflags`"
export CXXFLAGS="$CXXFLAGS `mozilla-config --cflags`"
export CPPFLAGS="$CPPFLAGS `mozilla-config --cflags`"
export LDFLAGS="$LDFLAGS `mozilla-config --libs`"
%endif

make -f admin/Makefile.common cvs

tar xjf %{SOURCE1}

./configure --prefix=%{_prefix} --mandir=%{_mandir} \
        --sysconfdir=%{_sysconfdir} \
	--includedir=%{_includedir} \
	--without-java
%make

%if %{perl}
pushd dcopperl
perl Makefile.PL <<EOF
$QTDIR/include
$QTDIR/lib
%{_includedir}
%{_libdir}
EOF
make
popd
%endif

%install
rm -rf %{buildroot}

export PATH=`pwd`/jdk/bin:$PATH
make install DESTDIR=%{buildroot}

%if %{perl}
make -C dcopperl install PREFIX="$RPM_BUILD_ROOT%{_prefix}"
%else
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{_libdir}/perl5/site_perl/*/*/auto/DCOP/*
rm -rf %{buildroot}%{_libdir}/perl5/site_perl/*/*/auto/DCOP/*
rm -rf %{buildroot}%{_prefix}/lib/perl5/site_perl/*/*/auto/DCOP/.packlist
rm -rf %{buildroot}%{_libdir}/perl5/site_perl/*/*/DCOP.pm
rm -rf %{buildroot}%{_libdir}/perl5/site_perl/*/*/DCOP/Object.pm
rm -rf %{buildroot}%{_mandir}/man3/DCOP.3pm*
%endif

%if !%{python}
rm -rf %{buildroot}%{_libdir}/python*
%endif

# if [ -d "%{buildroot}%{_prefix}/doc" ]; then
#	mv -f %{buildroot}%{_prefix}/doc/* %{buildroot}%{_docdir}
#	rm -rf %{buildroot}%{_prefix}/doc
# fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so*
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*
#%{_datadir}/apps/konqueror/kpartplugins/plugin_jsconsole.rc
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_bindir}/*
# %doc %{_docdir}/HTML/en/kdec

%if %{python}
%{_libdir}/python*/*/*
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%if 0
%files kmozilla
%defattr(-,root,root)
%{_bindir}/kmozilla
%{_libdir}/*mozilla*
%{_datadir}/services/kmozilla.desktop
%endif

%if %{perl}
%files perl
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*/*/auto/DCOP/*
%{_prefix}/lib/perl5/site_perl/*/*/auto/DCOP/.packlist
%{_libdir}/perl5/site_perl/*/*/DCOP.pm
%{_libdir}/perl5/site_perl/*/*/DCOP/Object.pm
%{_mandir}/man3/DCOP.3pm*
%endif

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec for enabling rpm 4.2.

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Mon Nov 10 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Fri Oct 3 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- change includedir

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m (for glibc-2.3.2 environment)

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- export _POSIX2_VERSION=199209

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
  Changelog from 3.0.5 to 3.1
    bindings updated.
  Changelog from 3.1 to 3.1.1
    Removing Qt bindings for private interfaces that were accidentally included and now caused compilation failures with Qt 3.1.2.
    Several other build related fixes.
 
* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5a-2m)
- remove kmozilla

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Thu Apr  4 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Sat Feb 23 2002 Shigeru Yamazaki <s@kondara.org>
- (2.2.2-4k)
- rebuild against python 2.2 and mozilla 0.9.8

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Fri Nov  2 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- rebuild against mozilla 0.9.5.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release, however still no fam, no python2...

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Wed Feb 28 2001 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
